function Create(self)
   local thisID = ToActor(self).ID
   local MoObj
   for i = 1, MovableMan:GetMOIDCount() do
      if (i ~= thisID) and (MovableMan:GetRootMOID(i) == thisID) then -- an obj without a parent has ID == RootID
         MoObj = MovableMan:GetMOFromID(i)
         if MoObj.PresetName == "Robot Head" then -- Name of the actor's HEAD here.
            self.Head = ToAttachable(MoObj)
            break
         end
      end
   end
end

function Update(self)
   if self:GetController():IsState(Controller.WEAPON_FIRE) and self.Head:IsAttached() then
      local Emitter = CreateAEmitter("Null Laser", "Lazor Eyez.rte") -- Name of the emitter and .rte here.
      Emitter.Vel = self.Vel
      
      if self.HFlipped then
         Emitter.RotAngle = self.Head.RotAngle + 3.1415
      else
         Emitter.RotAngle = self.Head.RotAngle
      end
      
      Emitter.Pos = self.Head.Pos + self.Head:RotateOffset(Vector(8, -3)) -- Use self.EyePos instead? Probably no need.
      MovableMan:AddParticle(Emitter)
   end
end